package pl.g00n.lmsimport.domain;

public class Invoice {

	/***
	 * 
	 * @author Lukasz Czerepuk <lukasz@czerepuk.pl> 2012r.
	 * 
	 */

	// Pola
	private String customerId;
	private String invoiceNumber;
	private String privateAccount;
	private String sum;
	private String date;
	private String description;

	// Gettery i Settery
	public String getCustomerId() {
		return customerId;
	}

	public void setCustomerId(String customerId) {
		this.customerId = customerId;
	}

	public String getInvoiceNumber() {
		return invoiceNumber;
	}

	public void setInvoiceNumber(String invoiceNumber) {
		this.invoiceNumber = invoiceNumber;
	}

	public String getPrivateAccount() {
		return privateAccount;
	}

	public void setPrivateAccount(String privateAccount) {
		this.privateAccount = privateAccount;
	}

	public String getSum() {
		return sum;
	}

	public void setSum(String sum) {
		this.sum = sum;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	// Konstruktory
	public Invoice(String customerId, String invoiceNumber,
			String privateAccount, String sum, String date, String description) {
		super();
		this.customerId = customerId;
		this.invoiceNumber = invoiceNumber;
		this.privateAccount = privateAccount;
		this.sum = sum;
		this.date = date;
		this.description = description;
	}

	public Invoice() {

	}

	// Nadpisanie metody toString
	public String toString() {
		return "[ " + this.customerId + " ] | Wplata #" + this.invoiceNumber
				+ " | Prywatne konto: " + this.privateAccount + " | Suma: "
				+ this.sum + " | Data: " + this.date + " | Opis: "
				+ this.description;
	}

}
